FSFREEZE(8)

NOM
fsfreeze - Suspendre l'accès à un système de fichiers (Linux ext3/4, ReiserFS, JFS, XFS)

SYNOPSIS
fsfreeze -f point_de_montage

fsfreeze -u point_de_montage

DESCRIPTION
fsfreeze suspend et reprend l'accès à un système de fichiers

fsfreeze arrête les nouveaux accès au système de fichiers et crée une image stable sur le disque. fsfreeze est conçu pour être utilisé avec des périphériques RAID matériels qui permettent la création d'instantanés.

fsfreeze n'est pas nécessaire aux périphériques device-mapper. Le device-mapper (et LVM) gèle automatiquement le système de fichiers du périphérique quand la création d'un instantané est demandée. Pour plus de précisions, consultez la page de manuel dmsetup(8).

Le paramètre point_de_montage est le chemin du répertoire où le système de fichiers est monté. Le système de fichiers doit être monté pour être gelé (consultez mount(8)).

OPTIONS

-h, --help
    Afficher l'aide puis quitter.

-f, --freeze
    Cette option nécessite au système de fichiers indiqué d'être gelé de nouvelles modifications. Quand elle est sélectionnée, toutes les transactions en cours dans le système de fichiers ont le droit de se terminer, les nouveaux appels d'écriture sont arrêtés, les autres appels qui modifient le système de fichiers sont arrêtés et toutes les données sales, métadonnées et information de journalisation sont écrites sur le disque. Tous les processus essayant d'écrire sur le système de fichiers gelé seront bloqués en attendant que le système de fichiers soit dégelé.

    Remarquez que même après le gel, le système de fichier sur le disque peut contenir des renseignements sur des fichiers qui sont encore en cours de destruction (unlink). Ces fichiers ne seront pas détruits avant que le système de fichier ne soit dégelé ou qu'un montage propre de l'instantané ne soit terminé.

-u, --unfreeze
    Cette option sert à dégeler le système de fichier et permettre aux opérations de se poursuivre. Toutes les modifications de système de fichiers qui étaient bloquées par le gel sont débloquées et ont le droit de se terminer.

AUTEUR

Écrit par Hajime Taira.

NOTES

Cette page de manuel est basée sur xfs_freeze(8). Soit -f, soit -u doit être fourni à fsfreeze.

VOIR AUSSI
mount(8)

DISPONIBILITÉ
La commande fsfreeze fait partie du paquet util-linux, elle est disponible sur <URL:ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.